Skip to main content
POST
Create env var

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

kind
string
required
Allowed value: "app"
appUuid
string<uuid>
required

Identifier of the app this env var belongs to.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
key
string
required

Environment variable key (must start with VITE_).

Pattern: ^[A-Z][A-Z0-9_]*$
value
string
required

Environment variable value.

Maximum string length: 8192
isSecret
boolean
required

When true, the value is encrypted at rest and never returned by the API.

Response

Successful response

envVar
Environment variable · object
required

Newly created environment variable.